* PACKAGE DCDIFF    !" 差分の計算
*
*"  [HIS] 91/11/22 (momoko)
*"        95/07/02 (takepiro) 内部領域のみの計算, スキーム要チェック
*"        95/08/14 (takepiro) 下位ルーチン切りだし, スキーム要チェック
***********************************************************************
      SUBROUTINE DARJAC               !" ARAKAWA ヤコビアンの計算
     O           ( AJAC ,
     I             PSI  , G   ,
     C             DX   , DZ   )
*
*"        << ARAKAWA schemeを用いて内部領域における
*"           ヤコビアン J(PSI,G) を計算する >>
*
* [PARAM]
#include        "zcdim.F"            !" 格子点数, 波数
*
* [OUTPUT]
      REAL AJAC( 0:NX+1,0:NZ+1 ) !" J(PSI,G)
*
* [INPUT]
      REAL PSI ( 0:NX+1,0:NZ+1 ) !" 流線関数
      REAL G   ( 0:NX+1,0:NZ+1 ) !" 物理量の2次元場
*
      REAL DX                   !" X方向の格子点間隔
      REAL DZ                   !" Z方向の格子点間隔
*
      CALL ARAJAC               !" ARAKAWA ヤコビアンの計算
     O     ( AJAC ,
     I       PSI  , G   ,
     C       DX   , DZ  ,
     I       2 , NX+1 , 2 , NZ+1 ,
     D       NX+2 , NZ+2    )
*
      RETURN
      END
***********************************************************************
      SUBROUTINE DLAPLA             !" 内部領域のラプラシアンを計算する
     O           ( ALAP,
     I             F   ,
     C             DX  , DZ  )
*
* [PARAM]
#include        "zcdim.F"            !" 格子点数, 波数
*
* [OUTPUT]
      REAL       ALAP( 0:NX+1,0:NZ+1 ) !" 物理量のラプラシアン
*
* [INPUT]
      REAL       F( 0:NX+1,0:NZ+1 ) !" 物理量の2次元場
*
      REAL DX                       !" X方向の格子点間隔
      REAL DZ                       !" Z方向の格子点間隔
*
*"        < 1. ラプラシアンの計算 >
*
      CALL CLAPLA             !" ラプラシアンの差分計算を行う
     O     ( ALAP,
     I       F   ,
     C       DX  , DZ  , 
     I       2   , NX+1, 2 , NZ+1 ,
     D       NX+2, NZ+2   )
*
      RETURN
      END
